import { defineConfig } from 'astro/config'
import mdx from '@astrojs/mdx'

export default defineConfig({
    compressHTML: true,
    publicDir: "./src/public",
    outDir: "../../.build/output/astro",
    cacheDir: "../../build/output/astro-cache/",
    server: {host: false},
    integrations: [mdx()],
    build: {format: 'file'}
})